/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to an appliance incident
 */
@ApiModel(description = "List of information linked to an appliance incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ApplianceClaimInformation {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Relationship_to_cardholder")
  private String relationshipToCardholder = null;

  @SerializedName("Other_relationship_to_cardholder")
  private String otherRelationshipToCardholder = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Do_you_have_other_insurance_that_applies")
  private String doYouHaveOtherInsuranceThatApplies = null;

  @SerializedName("Please_indicate_the_amount")
  private BigDecimal pleaseIndicateTheAmount = null;

  @SerializedName("Have_you_made_any_previous_claim")
  private String haveYouMadeAnyPreviousClaim = null;

  @SerializedName("On_what_date")
  private LocalDate onWhatDate = null;

  @SerializedName("Was_the_purchased_item_charged_in_full")
  private String wasThePurchasedItemChargedInFull = null;

  @SerializedName("Incident_date")
  private LocalDate incidentDate = null;

  @SerializedName("Date_of_purchase_of_items")
  private LocalDate dateOfPurchaseOfItems = null;

  @SerializedName("Purchase_price_Including_Tax")
  private BigDecimal purchasePriceIncludingTax = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Item_purchase_price")
  private BigDecimal itemPurchasePrice = null;

  @SerializedName("Manufacturer")
  private String manufacturer = null;

  @SerializedName("Model_number")
  private String modelNumber = null;

  @SerializedName("Total_amount_of_claim")
  private BigDecimal totalAmountOfClaim = null;

  @SerializedName("Amount_paid_by_other_insurance")
  private BigDecimal amountPaidByOtherInsurance = null;

  @SerializedName("Briefly_describe_the_incident")
  private String brieflyDescribeTheIncident = null;

  @SerializedName("If_the_item_was_damaged_can_it_be")
  private String ifTheItemWasDamagedCanItBe = null;

  @SerializedName("Is_the_damage_to_the_item_visible")
  private String isTheDamageToTheItemVisible = null;

  @SerializedName("Warranty_period_of_validity_From")
  private LocalDate warrantyPeriodOfValidityFrom = null;

  @SerializedName("Warranty_period_of_validity_To")
  private LocalDate warrantyPeriodOfValidityTo = null;

  @SerializedName("If_other_warranties_apply_From")
  private LocalDate ifOtherWarrantiesApplyFrom = null;

  @SerializedName("If_other_warranties_apply_To")
  private LocalDate ifOtherWarrantiesApplyTo = null;

  public ApplianceClaimInformation claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "Test sai ", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public ApplianceClaimInformation relationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
    return this;
  }

   /**
   * Get relationshipToCardholder
   * @return relationshipToCardholder
  **/
  @ApiModelProperty(example = "Test Relationship", value = "")
  public String getRelationshipToCardholder() {
    return relationshipToCardholder;
  }

  public void setRelationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
  }

  public ApplianceClaimInformation otherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
    return this;
  }

   /**
   * Get otherRelationshipToCardholder
   * @return otherRelationshipToCardholder
  **/
  @ApiModelProperty(example = "Test other", value = "")
  public String getOtherRelationshipToCardholder() {
    return otherRelationshipToCardholder;
  }

  public void setOtherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
  }

  public ApplianceClaimInformation sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Male", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public ApplianceClaimInformation dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public ApplianceClaimInformation doYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceThatApplies
   * @return doYouHaveOtherInsuranceThatApplies
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getDoYouHaveOtherInsuranceThatApplies() {
    return doYouHaveOtherInsuranceThatApplies;
  }

  public void setDoYouHaveOtherInsuranceThatApplies(String doYouHaveOtherInsuranceThatApplies) {
    this.doYouHaveOtherInsuranceThatApplies = doYouHaveOtherInsuranceThatApplies;
  }

  public ApplianceClaimInformation pleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
    return this;
  }

   /**
   * Get pleaseIndicateTheAmount
   * @return pleaseIndicateTheAmount
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getPleaseIndicateTheAmount() {
    return pleaseIndicateTheAmount;
  }

  public void setPleaseIndicateTheAmount(BigDecimal pleaseIndicateTheAmount) {
    this.pleaseIndicateTheAmount = pleaseIndicateTheAmount;
  }

  public ApplianceClaimInformation haveYouMadeAnyPreviousClaim(String haveYouMadeAnyPreviousClaim) {
    this.haveYouMadeAnyPreviousClaim = haveYouMadeAnyPreviousClaim;
    return this;
  }

   /**
   * Get haveYouMadeAnyPreviousClaim
   * @return haveYouMadeAnyPreviousClaim
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getHaveYouMadeAnyPreviousClaim() {
    return haveYouMadeAnyPreviousClaim;
  }

  public void setHaveYouMadeAnyPreviousClaim(String haveYouMadeAnyPreviousClaim) {
    this.haveYouMadeAnyPreviousClaim = haveYouMadeAnyPreviousClaim;
  }

  public ApplianceClaimInformation onWhatDate(LocalDate onWhatDate) {
    this.onWhatDate = onWhatDate;
    return this;
  }

   /**
   * Get onWhatDate
   * @return onWhatDate
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getOnWhatDate() {
    return onWhatDate;
  }

  public void setOnWhatDate(LocalDate onWhatDate) {
    this.onWhatDate = onWhatDate;
  }

  public ApplianceClaimInformation wasThePurchasedItemChargedInFull(String wasThePurchasedItemChargedInFull) {
    this.wasThePurchasedItemChargedInFull = wasThePurchasedItemChargedInFull;
    return this;
  }

   /**
   * Get wasThePurchasedItemChargedInFull
   * @return wasThePurchasedItemChargedInFull
  **/
  @ApiModelProperty(example = "Yes", value = "")
  public String getWasThePurchasedItemChargedInFull() {
    return wasThePurchasedItemChargedInFull;
  }

  public void setWasThePurchasedItemChargedInFull(String wasThePurchasedItemChargedInFull) {
    this.wasThePurchasedItemChargedInFull = wasThePurchasedItemChargedInFull;
  }

  public ApplianceClaimInformation incidentDate(LocalDate incidentDate) {
    this.incidentDate = incidentDate;
    return this;
  }

   /**
   * Get incidentDate
   * @return incidentDate
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getIncidentDate() {
    return incidentDate;
  }

  public void setIncidentDate(LocalDate incidentDate) {
    this.incidentDate = incidentDate;
  }

  public ApplianceClaimInformation dateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
    return this;
  }

   /**
   * Get dateOfPurchaseOfItems
   * @return dateOfPurchaseOfItems
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getDateOfPurchaseOfItems() {
    return dateOfPurchaseOfItems;
  }

  public void setDateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
  }

  public ApplianceClaimInformation purchasePriceIncludingTax(BigDecimal purchasePriceIncludingTax) {
    this.purchasePriceIncludingTax = purchasePriceIncludingTax;
    return this;
  }

   /**
   * Get purchasePriceIncludingTax
   * @return purchasePriceIncludingTax
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getPurchasePriceIncludingTax() {
    return purchasePriceIncludingTax;
  }

  public void setPurchasePriceIncludingTax(BigDecimal purchasePriceIncludingTax) {
    this.purchasePriceIncludingTax = purchasePriceIncludingTax;
  }

  public ApplianceClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public ApplianceClaimInformation itemPurchasePrice(BigDecimal itemPurchasePrice) {
    this.itemPurchasePrice = itemPurchasePrice;
    return this;
  }

   /**
   * Get itemPurchasePrice
   * @return itemPurchasePrice
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getItemPurchasePrice() {
    return itemPurchasePrice;
  }

  public void setItemPurchasePrice(BigDecimal itemPurchasePrice) {
    this.itemPurchasePrice = itemPurchasePrice;
  }

  public ApplianceClaimInformation manufacturer(String manufacturer) {
    this.manufacturer = manufacturer;
    return this;
  }

   /**
   * Get manufacturer
   * @return manufacturer
  **/
  @ApiModelProperty(example = "Test Manufacturer", value = "")
  public String getManufacturer() {
    return manufacturer;
  }

  public void setManufacturer(String manufacturer) {
    this.manufacturer = manufacturer;
  }

  public ApplianceClaimInformation modelNumber(String modelNumber) {
    this.modelNumber = modelNumber;
    return this;
  }

   /**
   * Get modelNumber
   * @return modelNumber
  **/
  @ApiModelProperty(example = "Test Model", value = "")
  public String getModelNumber() {
    return modelNumber;
  }

  public void setModelNumber(String modelNumber) {
    this.modelNumber = modelNumber;
  }

  public ApplianceClaimInformation totalAmountOfClaim(BigDecimal totalAmountOfClaim) {
    this.totalAmountOfClaim = totalAmountOfClaim;
    return this;
  }

   /**
   * Get totalAmountOfClaim
   * @return totalAmountOfClaim
  **/
  @ApiModelProperty(example = "236.0", value = "")
  public BigDecimal getTotalAmountOfClaim() {
    return totalAmountOfClaim;
  }

  public void setTotalAmountOfClaim(BigDecimal totalAmountOfClaim) {
    this.totalAmountOfClaim = totalAmountOfClaim;
  }

  public ApplianceClaimInformation amountPaidByOtherInsurance(BigDecimal amountPaidByOtherInsurance) {
    this.amountPaidByOtherInsurance = amountPaidByOtherInsurance;
    return this;
  }

   /**
   * Get amountPaidByOtherInsurance
   * @return amountPaidByOtherInsurance
  **/
  @ApiModelProperty(example = "200.0", value = "")
  public BigDecimal getAmountPaidByOtherInsurance() {
    return amountPaidByOtherInsurance;
  }

  public void setAmountPaidByOtherInsurance(BigDecimal amountPaidByOtherInsurance) {
    this.amountPaidByOtherInsurance = amountPaidByOtherInsurance;
  }

  public ApplianceClaimInformation brieflyDescribeTheIncident(String brieflyDescribeTheIncident) {
    this.brieflyDescribeTheIncident = brieflyDescribeTheIncident;
    return this;
  }

   /**
   * Get brieflyDescribeTheIncident
   * @return brieflyDescribeTheIncident
  **/
  @ApiModelProperty(example = "This is the test description", value = "")
  public String getBrieflyDescribeTheIncident() {
    return brieflyDescribeTheIncident;
  }

  public void setBrieflyDescribeTheIncident(String brieflyDescribeTheIncident) {
    this.brieflyDescribeTheIncident = brieflyDescribeTheIncident;
  }

  public ApplianceClaimInformation ifTheItemWasDamagedCanItBe(String ifTheItemWasDamagedCanItBe) {
    this.ifTheItemWasDamagedCanItBe = ifTheItemWasDamagedCanItBe;
    return this;
  }

   /**
   * Get ifTheItemWasDamagedCanItBe
   * @return ifTheItemWasDamagedCanItBe
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getIfTheItemWasDamagedCanItBe() {
    return ifTheItemWasDamagedCanItBe;
  }

  public void setIfTheItemWasDamagedCanItBe(String ifTheItemWasDamagedCanItBe) {
    this.ifTheItemWasDamagedCanItBe = ifTheItemWasDamagedCanItBe;
  }

  public ApplianceClaimInformation isTheDamageToTheItemVisible(String isTheDamageToTheItemVisible) {
    this.isTheDamageToTheItemVisible = isTheDamageToTheItemVisible;
    return this;
  }

   /**
   * Get isTheDamageToTheItemVisible
   * @return isTheDamageToTheItemVisible
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getIsTheDamageToTheItemVisible() {
    return isTheDamageToTheItemVisible;
  }

  public void setIsTheDamageToTheItemVisible(String isTheDamageToTheItemVisible) {
    this.isTheDamageToTheItemVisible = isTheDamageToTheItemVisible;
  }

  public ApplianceClaimInformation warrantyPeriodOfValidityFrom(LocalDate warrantyPeriodOfValidityFrom) {
    this.warrantyPeriodOfValidityFrom = warrantyPeriodOfValidityFrom;
    return this;
  }

   /**
   * Get warrantyPeriodOfValidityFrom
   * @return warrantyPeriodOfValidityFrom
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getWarrantyPeriodOfValidityFrom() {
    return warrantyPeriodOfValidityFrom;
  }

  public void setWarrantyPeriodOfValidityFrom(LocalDate warrantyPeriodOfValidityFrom) {
    this.warrantyPeriodOfValidityFrom = warrantyPeriodOfValidityFrom;
  }

  public ApplianceClaimInformation warrantyPeriodOfValidityTo(LocalDate warrantyPeriodOfValidityTo) {
    this.warrantyPeriodOfValidityTo = warrantyPeriodOfValidityTo;
    return this;
  }

   /**
   * Get warrantyPeriodOfValidityTo
   * @return warrantyPeriodOfValidityTo
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getWarrantyPeriodOfValidityTo() {
    return warrantyPeriodOfValidityTo;
  }

  public void setWarrantyPeriodOfValidityTo(LocalDate warrantyPeriodOfValidityTo) {
    this.warrantyPeriodOfValidityTo = warrantyPeriodOfValidityTo;
  }

  public ApplianceClaimInformation ifOtherWarrantiesApplyFrom(LocalDate ifOtherWarrantiesApplyFrom) {
    this.ifOtherWarrantiesApplyFrom = ifOtherWarrantiesApplyFrom;
    return this;
  }

   /**
   * Get ifOtherWarrantiesApplyFrom
   * @return ifOtherWarrantiesApplyFrom
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getIfOtherWarrantiesApplyFrom() {
    return ifOtherWarrantiesApplyFrom;
  }

  public void setIfOtherWarrantiesApplyFrom(LocalDate ifOtherWarrantiesApplyFrom) {
    this.ifOtherWarrantiesApplyFrom = ifOtherWarrantiesApplyFrom;
  }

  public ApplianceClaimInformation ifOtherWarrantiesApplyTo(LocalDate ifOtherWarrantiesApplyTo) {
    this.ifOtherWarrantiesApplyTo = ifOtherWarrantiesApplyTo;
    return this;
  }

   /**
   * Get ifOtherWarrantiesApplyTo
   * @return ifOtherWarrantiesApplyTo
  **/
  @ApiModelProperty(example = "2000-03-12", value = "")
  public LocalDate getIfOtherWarrantiesApplyTo() {
    return ifOtherWarrantiesApplyTo;
  }

  public void setIfOtherWarrantiesApplyTo(LocalDate ifOtherWarrantiesApplyTo) {
    this.ifOtherWarrantiesApplyTo = ifOtherWarrantiesApplyTo;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApplianceClaimInformation applianceClaimInformation = (ApplianceClaimInformation) o;
    return Objects.equals(this.claimantName, applianceClaimInformation.claimantName) &&
        Objects.equals(this.relationshipToCardholder, applianceClaimInformation.relationshipToCardholder) &&
        Objects.equals(this.otherRelationshipToCardholder, applianceClaimInformation.otherRelationshipToCardholder) &&
        Objects.equals(this.sex, applianceClaimInformation.sex) &&
        Objects.equals(this.dateOfBirth, applianceClaimInformation.dateOfBirth) &&
        Objects.equals(this.doYouHaveOtherInsuranceThatApplies, applianceClaimInformation.doYouHaveOtherInsuranceThatApplies) &&
        Objects.equals(this.pleaseIndicateTheAmount, applianceClaimInformation.pleaseIndicateTheAmount) &&
        Objects.equals(this.haveYouMadeAnyPreviousClaim, applianceClaimInformation.haveYouMadeAnyPreviousClaim) &&
        Objects.equals(this.onWhatDate, applianceClaimInformation.onWhatDate) &&
        Objects.equals(this.wasThePurchasedItemChargedInFull, applianceClaimInformation.wasThePurchasedItemChargedInFull) &&
        Objects.equals(this.incidentDate, applianceClaimInformation.incidentDate) &&
        Objects.equals(this.dateOfPurchaseOfItems, applianceClaimInformation.dateOfPurchaseOfItems) &&
        Objects.equals(this.purchasePriceIncludingTax, applianceClaimInformation.purchasePriceIncludingTax) &&
        Objects.equals(this.currencyIsoCode, applianceClaimInformation.currencyIsoCode) &&
        Objects.equals(this.itemPurchasePrice, applianceClaimInformation.itemPurchasePrice) &&
        Objects.equals(this.manufacturer, applianceClaimInformation.manufacturer) &&
        Objects.equals(this.modelNumber, applianceClaimInformation.modelNumber) &&
        Objects.equals(this.totalAmountOfClaim, applianceClaimInformation.totalAmountOfClaim) &&
        Objects.equals(this.amountPaidByOtherInsurance, applianceClaimInformation.amountPaidByOtherInsurance) &&
        Objects.equals(this.brieflyDescribeTheIncident, applianceClaimInformation.brieflyDescribeTheIncident) &&
        Objects.equals(this.ifTheItemWasDamagedCanItBe, applianceClaimInformation.ifTheItemWasDamagedCanItBe) &&
        Objects.equals(this.isTheDamageToTheItemVisible, applianceClaimInformation.isTheDamageToTheItemVisible) &&
        Objects.equals(this.warrantyPeriodOfValidityFrom, applianceClaimInformation.warrantyPeriodOfValidityFrom) &&
        Objects.equals(this.warrantyPeriodOfValidityTo, applianceClaimInformation.warrantyPeriodOfValidityTo) &&
        Objects.equals(this.ifOtherWarrantiesApplyFrom, applianceClaimInformation.ifOtherWarrantiesApplyFrom) &&
        Objects.equals(this.ifOtherWarrantiesApplyTo, applianceClaimInformation.ifOtherWarrantiesApplyTo);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, relationshipToCardholder, otherRelationshipToCardholder, sex, dateOfBirth, doYouHaveOtherInsuranceThatApplies, pleaseIndicateTheAmount, haveYouMadeAnyPreviousClaim, onWhatDate, wasThePurchasedItemChargedInFull, incidentDate, dateOfPurchaseOfItems, purchasePriceIncludingTax, currencyIsoCode, itemPurchasePrice, manufacturer, modelNumber, totalAmountOfClaim, amountPaidByOtherInsurance, brieflyDescribeTheIncident, ifTheItemWasDamagedCanItBe, isTheDamageToTheItemVisible, warrantyPeriodOfValidityFrom, warrantyPeriodOfValidityTo, ifOtherWarrantiesApplyFrom, ifOtherWarrantiesApplyTo);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApplianceClaimInformation {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    relationshipToCardholder: ").append(toIndentedString(relationshipToCardholder)).append("\n");
    sb.append("    otherRelationshipToCardholder: ").append(toIndentedString(otherRelationshipToCardholder)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    doYouHaveOtherInsuranceThatApplies: ").append(toIndentedString(doYouHaveOtherInsuranceThatApplies)).append("\n");
    sb.append("    pleaseIndicateTheAmount: ").append(toIndentedString(pleaseIndicateTheAmount)).append("\n");
    sb.append("    haveYouMadeAnyPreviousClaim: ").append(toIndentedString(haveYouMadeAnyPreviousClaim)).append("\n");
    sb.append("    onWhatDate: ").append(toIndentedString(onWhatDate)).append("\n");
    sb.append("    wasThePurchasedItemChargedInFull: ").append(toIndentedString(wasThePurchasedItemChargedInFull)).append("\n");
    sb.append("    incidentDate: ").append(toIndentedString(incidentDate)).append("\n");
    sb.append("    dateOfPurchaseOfItems: ").append(toIndentedString(dateOfPurchaseOfItems)).append("\n");
    sb.append("    purchasePriceIncludingTax: ").append(toIndentedString(purchasePriceIncludingTax)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    itemPurchasePrice: ").append(toIndentedString(itemPurchasePrice)).append("\n");
    sb.append("    manufacturer: ").append(toIndentedString(manufacturer)).append("\n");
    sb.append("    modelNumber: ").append(toIndentedString(modelNumber)).append("\n");
    sb.append("    totalAmountOfClaim: ").append(toIndentedString(totalAmountOfClaim)).append("\n");
    sb.append("    amountPaidByOtherInsurance: ").append(toIndentedString(amountPaidByOtherInsurance)).append("\n");
    sb.append("    brieflyDescribeTheIncident: ").append(toIndentedString(brieflyDescribeTheIncident)).append("\n");
    sb.append("    ifTheItemWasDamagedCanItBe: ").append(toIndentedString(ifTheItemWasDamagedCanItBe)).append("\n");
    sb.append("    isTheDamageToTheItemVisible: ").append(toIndentedString(isTheDamageToTheItemVisible)).append("\n");
    sb.append("    warrantyPeriodOfValidityFrom: ").append(toIndentedString(warrantyPeriodOfValidityFrom)).append("\n");
    sb.append("    warrantyPeriodOfValidityTo: ").append(toIndentedString(warrantyPeriodOfValidityTo)).append("\n");
    sb.append("    ifOtherWarrantiesApplyFrom: ").append(toIndentedString(ifOtherWarrantiesApplyFrom)).append("\n");
    sb.append("    ifOtherWarrantiesApplyTo: ").append(toIndentedString(ifOtherWarrantiesApplyTo)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

